> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindfort.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Discovery Suggestion



## OpenAPI

````yaml /openapi.json post /v1/discovery/suggestions/{suggestion_id}/accept
openapi: 3.1.0
info:
  title: MindFort API
  version: 1.0.0
  description: >-
    The MindFort Public API supports targets, Discovery, assessments, finding
    lifecycle and analytics, and reports. Informational non-vulnerable results
    are labeled `secured`.
servers:
  - url: https://api.mindfort.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/discovery/suggestions/{suggestion_id}/accept:
    post:
      tags:
        - Discovery
      summary: Accept Discovery Suggestion
      operationId: acceptDiscoverySuggestion
      parameters:
        - name: suggestion_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Created target
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicTarget'
components:
  schemas:
    PublicTarget:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          title: Description
          type:
            - string
            - 'null'
        target_type:
          type: string
          title: Target Type
        web_domain:
          title: Web Domain
          type:
            - string
            - 'null'
        ip_address:
          title: Ip Address
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        last_assessment_time:
          title: Last Assessment Time
          type:
            - string
            - 'null'
          format: date-time
        api_auth_instructions:
          type:
            - string
            - 'null'
          maxLength: 10000
          description: Target-level API authentication validation instructions.
        created_by:
          anyOf:
            - type: string
              enum:
                - user
                - mindfort
            - type: 'null'
          title: Created By
        created_by_user_id:
          type:
            - string
            - 'null'
          title: Created By User Id
        origin_suggestion_id:
          type:
            - string
            - 'null'
          format: uuid
          title: Origin Suggestion Id
      type: object
      required:
        - id
        - name
        - target_type
        - created_at
        - updated_at
      title: PublicTarget
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key generated from the MindFort dashboard. Pass as `Authorization:
        Bearer <your-api-key>`.

````